Approve an order
curl --request POST \
--url https://api.useblueprints.ai/api/orders/{id}/approve \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/orders/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/orders/{id}/approve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"ok": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Trading and account
Approve an order
Approve a pending order intent.
POST
/
api
/
orders
/
{id}
/
approve
Approve an order
curl --request POST \
--url https://api.useblueprints.ai/api/orders/{id}/approve \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useblueprints.ai/api/orders/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/orders/{id}/approve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"ok": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Approve a pending order intent owned by the authenticated account. API keys need
orders:write.
Use this only after the operator has reviewed the order details and risk rules.
curl https://api.useblueprints.ai/api/orders/00000000-0000-0000-0000-000000000000/approve \
-X POST \
-H "Authorization: Bearer bp_YOUR_API_KEY"